#import "AlertTestsAppDelegate.h"
#import "AlertTestsViewController.h"

NSString * const OriginX = @"OriginX";

@implementation AlertTestsAppDelegate

@synthesize window;
@synthesize viewController;


+ (void)initialize
	{
	NSMutableDictionary *userDefaultsDictionary = [NSMutableDictionary dictionary];
	[userDefaultsDictionary setObject:[NSNumber numberWithFloat:140.0] forKey:OriginX];
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
	[defaults registerDefaults:userDefaultsDictionary];
	[defaults synchronize];
	}
	
- (void)applicationDidFinishLaunching:(UIApplication *)application
	{
	application.applicationSupportsShakeToEdit = YES;
	[window addSubview:viewController.view];
	[window makeKeyAndVisible];
	}


- (void)dealloc
	{
	[viewController release];
	[window release];
	[super dealloc];
	}


@end
