#import <UIKit/UIKit.h>

@interface AlertTestsViewController : UIViewController
	{
	UIImageView *shape;
	UIButton *lockButton;
	NSUndoManager *undoManager;
	BOOL lockIsLocked;
	UIAlertView *undoRedoMoveAlert;
	float undoMoveFloat;
	float redoMoveFloat;
	}

@property (nonatomic, retain) IBOutlet UIImageView *shape;
@property (nonatomic, retain) IBOutlet UIButton *lockButton;
@property (nonatomic, retain) NSUndoManager *undoManager;
@property BOOL lockIsLocked;
@property (nonatomic, retain) UIAlertView *undoRedoMoveAlert;

- (IBAction)toggleLock;
- (void)undoOrRedoMove:(NSString *)toggle toPosition:(float)position withOpposingMoveValue:(float)redoValue;

@end

